> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve assets



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml post /fmarket/assets/filter-assets
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /fmarket/assets/filter-assets:
    post:
      tags:
        - Fmarket
      summary: Retrieve assets
      operationId: Fmarket_FilterAssets
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/FireAnt.Api.Models.Fmarket.FilterAssetsRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/FireAnt.Api.Models.Fmarket.FilterAssetsRequest
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.Fmarket.FilterAssetsResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.Fmarket.FilterAssetsResult
        '400':
          description: Có lỗi khi thực hiện thao tác
      security:
        - oauth2:
            - user-data-write
components:
  schemas:
    FireAnt.Api.Models.Fmarket.FilterAssetsRequest:
      type: object
      properties:
        fmarket_id:
          type: string
        page:
          format: int32
          type: integer
        page_size:
          format: int32
          type: integer
    FireAnt.Api.Models.Fmarket.FilterAssetsResult:
      type: object
      properties:
        page:
          format: int32
          type: integer
        page_size:
          format: int32
          type: integer
        total_items:
          format: int32
          type: integer
        items:
          type: array
          items:
            $ref: '#/components/schemas/FireAnt.Api.Models.Fmarket.AssetDetail'
    FireAnt.Api.Models.Fmarket.AssetDetail:
      type: object
      properties:
        code:
          type: string
        create_date:
          format: int64
          type: integer
        create_date_format:
          type: string
        purchase_price:
          format: double
          type: number
        current_price:
          format: double
          type: number
        current_volume:
          format: double
          type: number
        current_amount:
          format: double
          type: number
        gain_amount:
          format: double
          type: number
        gain_percent:
          format: double
          type: number
        allowed_sale:
          type: boolean
        allowed_sale_volume:
          format: double
          type: number
        allowed_convert:
          type: boolean
        allowed_convert_volume:
          format: double
          type: number
        extra:
          type: object
        product_program:
          $ref: >-
            #/components/schemas/FireAnt.Api.Models.Fmarket.ProductProgramInformation
        product:
          $ref: >-
            #/components/schemas/FireAnt.Api.Models.Fmarket.SummaryProductInformation
    FireAnt.Api.Models.Fmarket.ProductProgramInformation:
      type: object
      properties:
        id:
          format: int32
          type: integer
        name:
          type: string
        code:
          type: string
    FireAnt.Api.Models.Fmarket.SummaryProductInformation:
      type: object
      properties:
        id:
          format: int32
          type: integer
        name:
          type: string
        code:
          type: string
        short_name:
          type: string
        nav:
          format: double
          type: number
        fund_asset_type:
          type: string
        issuer_info:
          $ref: '#/components/schemas/FireAnt.Api.Models.Fmarket.IssuerInformation'
    FireAnt.Api.Models.Fmarket.IssuerInformation:
      type: object
      properties:
        id:
          format: int32
          type: integer
        name:
          type: string
        short_name:
          type: string
        website:
          type: string
        avatar_url:
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.